VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type` enumerated type defines the valid types for values in metadata elements. Constant Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type::LONG # Indicates the type of the value is a long (64 bit signed integer). Constant Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type::STRING # Indicates the type of the value is a string (a variable length sequence of characters). The encoding is UTF-8. Constant Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type::STRING_LIST # Indicates the type of the value is a list of strings. Constant Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type::STRUCTURE_REFERENCE # Indicates the type of the value is an identifier for a structure element. Constant Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type::STRUCTURE_REFERENCE_LIST # Indicates the type of the value is a list of identifiers for a structure element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.vapi.metadata.metamodel.element_value.type',
'binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::ElementValue::Type');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/ElementValue.pm